#dynamic-mask{
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, .5);
	z-index: 5;
	opacity: 0;
	visibility: hidden;
	transition: .4s;
}

#dynamic-mask.active{
	opacity: 1;
	visibility: visible;
}

.dynamic-sides{
	position: fixed;
	background-color: white;
    z-index: 12;
    width: 100%;
    height: 100%;
    transition: .4s;
}

.dynamic-side-header{
	display: flex;
	align-items: center;
	justify-content: space-between;
	border-bottom: 1px solid #ccc;
	padding-bottom: 1.5rem;
	padding: 15px;
}

.dynamic-side-body{
	padding: 15px;
	display: flex;
	flex-direction: column;
	height: calc(100% - 78px);
	overflow-y: auto;
}

.dynamic-side-body-bottom{
	margin-top: auto;
}

@media (max-height: 450px){
	.dynamic-sides{
		height: 100%;
	}
}

/* Dynamic Side Menu */
#dynamicMenu{
	top: -100%;
	left: 0;
	opacity: 0;
	visibility: hidden;
}
#dynamicMenu.active{
	top: 0;
	opacity: 1;
	visibility: visible;
}

.js-dynamic-close{
	display: flex;
	align-items: center;
	column-gap: .5rem;
	font-size: 12px;
	font-weight: 700;
	text-decoration: none;
	width: 50px;
	height: 50px;
	border-radius: 20px 0 20px 0;
}

.js-dynamic-close img{
	width:  12px;
	height: 12px;
	object-fit: contain;
	transition: .4s;
}

.js-dynamic-close:hover img{
	transform: rotate(180deg);
}

#dynamicMenu .footer-info-bottom{
	border-bottom: 0;
	padding-bottom: 0;
}

/* Dynamic Side Search */
#dynamicSearch{
    top: -50%;
    left: 0;
    right: 0;
    margin: 0 auto;
    width: 100%;
    height: fit-content;
    bottom: auto;
    background-color: white;
    padding: 2rem 0;
    transition: .4s;
}
#dynamicSearch.active{
    top: 64px;
}

.form-search{
	position: relative;
}

.form-search .btn-apply{
	position: absolute;
	top: 0;
	right: 0;
	height: 48px;
	width: 48px;
}

.form-search .btn-apply:hover{
	transform: scale(1.1);
}

.form-search input{
    height: 48px;
    border-radius: 28px;
    border: 1px solid #D6D6D6;
    padding: .5rem 1rem;
    font-size: 14px;
    width: 100%;
    transition: .4s;
}

.form-search input:focus{
    box-shadow: 0 0 0 .25rem rgba(204, 204, 204, .5);
    outline: none;
}

@media (max-width: 1024px){
	#dynamicSearch.active{
		top: 60px;
	}
}

@media (max-width: 950px){
	#dynamicSearch.active{
		top: 48px;
	}
}

/* Dynamic Collection Filter */
@media (max-width: 920px){
	#dynamicFilters{
		transition: .4s;
		background-color: white;
	}
	#dynamicFilters{
		top: 0;
		left: -60%;
		width: 60%;
		height: 100%;
		z-index: 10;
		padding: 0;
	}
	
	#dynamicFilters.active{
		left: 0;
	}
}

@media (max-width: 579px){
	#dynamicFilters{
		left: -100%;
		width: 100%;
	}
}
